Bug 93183 - new port: devel/loki
Summary: new port: devel/loki
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergey Matveychuk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-11 14:50 UTC by Charming Sun
Modified: 2006-04-28 21:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Charming Sun 2006-02-11 14:50:04 UTC
This is a new port
category:devel
name:loki

pkg-descr:
A C++ library of designs, containing flexible implementations of
common design patterns and idioms.

sorry,I don't know how to send it by "shar"
Here is it:
http://www.freewebs.com/snnn/loki.tar.bz2
Comment 1 Aaron Dalton freebsd_committer 2006-02-20 18:26:45 UTC
- Go to the directory where the port is (/some/path/loki)
- $ cd..
- $ shar `find loki` > loki.shar
- Submit as a follow-up to this PR

-- 
Aaron Dalton
aaron@FreeBSD.org
FreeBSD Ports Committer
Comment 2 Sergey Matveychuk freebsd_committer 2006-04-16 20:44:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Take it.
Comment 3 Charming Sun 2006-04-26 06:22:56 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       loki
#       loki/files
#       loki/files/patch-include-Makefile
#       loki/files/patch-Makefile
#       loki/files/patch-src-Makefile
#       loki/pkg-descr
#       loki/distinfo
#       loki/pkg-plist
#       loki/Makefile
#       loki/loki.shar
#
echo c - loki
mkdir -p loki > /dev/null 2>&1
echo c - loki/files
mkdir -p loki/files > /dev/null 2>&1
echo x - loki/files/patch-include-Makefile
sed 's/^X//' >loki/files/patch-include-Makefile << 
'END-of-loki/files/patch-include-Makefile'
X*** include/Makefile.orig      Sat Jan  7 11:19:49 2006
X--- include/Makefile   Sat Feb 11 22:41:43 2006
X***************
X*** 1,9 ****
X  .PHONY: install
X  install:
X!      mkdir -p $(DESTDIR)/usr/include/loki
X!      mkdir -p $(DESTDIR)/usr/include/loki/flex
X!      mkdir -p $(DESTDIR)/usr/include/loki/yasli
X!
X!      install loki/*.h $(DESTDIR)/usr/include/loki
X!      install loki/flex/*.h $(DESTDIR)/usr/include/loki/flex
X!      install loki/yasli/*.h $(DESTDIR)/usr/include/loki/yasli
X--- 1,11 ----
X  .PHONY: install
X+ PREFIX=/usr/local
X+
X  install:
X!      mkdir -p $(PREFIX)/include/loki
X!      mkdir -p $(PREFIX)/include/loki/flex
X!      mkdir -p $(PREFIX)/include/loki/yasli
X!
X!      install loki/*.h $(PREFIX)/include/loki
X!      install loki/flex/*.h $(PREFIX)/include/loki/flex
X!      install loki/yasli/*.h $(PREFIX)/include/loki/yasli
END-of-loki/files/patch-include-Makefile
echo x - loki/files/patch-Makefile
sed 's/^X//' >loki/files/patch-Makefile << 
'END-of-loki/files/patch-Makefile'
X*** Makefile.bak       Sat Feb 11 12:19:52 2006
X--- Makefile   Sat Feb 11 12:19:59 2006
X***************
X*** 1,7 ****
X  DESTDIR := $(CURDIR)/$(DESTDIR)
X
X! .PHONY: build check install clean
X! build:
X       $(MAKE) -C src
X
X  check: build
X--- 1,7 ----
X  DESTDIR := $(CURDIR)/$(DESTDIR)
X
X! .PHONY: all check install clean
X! all:
X       $(MAKE) -C src
X
X  check: build
END-of-loki/files/patch-Makefile
echo x - loki/files/patch-src-Makefile
sed 's/^X//' >loki/files/patch-src-Makefile << 
'END-of-loki/files/patch-src-Makefile'
X*** src/Makefile.orig  Sat Jan  7 11:19:49 2006
X--- src/Makefile       Sat Feb 11 22:38:00 2006
X***************
X*** 1,14 ****
X  OBJ = Singleton.o SmallObj.o OrderedStatic.o
X  BIN = ../lib/libloki.a
X  CXXFLAGS = -I../include -Wall -O2 -DNDEBUG
X
X  $(BIN): $(OBJ)
X       ar rs $(BIN) $(OBJ)
X
X  .PHONY: clean install
X  install: $(BIN)
X!      mkdir -p $(DESTDIR)/usr/lib
X!      install $(BIN) $(DESTDIR)/usr/lib
X
X  clean:
X       rm -f $(OBJ) $(BIN)
X--- 1,15 ----
X  OBJ = Singleton.o SmallObj.o OrderedStatic.o
X  BIN = ../lib/libloki.a
X  CXXFLAGS = -I../include -Wall -O2 -DNDEBUG
X+ PREFIX=/usr/local
X
X  $(BIN): $(OBJ)
X       ar rs $(BIN) $(OBJ)
X
X  .PHONY: clean install
X  install: $(BIN)
X!      mkdir -p $(PREFIX)/lib
X!      install $(BIN) $(PREFIX)/lib
X
X  clean:
X       rm -f $(OBJ) $(BIN)
END-of-loki/files/patch-src-Makefile
echo x - loki/pkg-descr
sed 's/^X//' >loki/pkg-descr << 'END-of-loki/pkg-descr'
XA C++ library of designs, containing flexible implementations of
Xcommon design patterns and idioms.
X
X
XWWW: http://sourceforge.net/projects/loki-lib/
X- Snnn
Xsnnn119@gmail.com
END-of-loki/pkg-descr
echo x - loki/distinfo
sed 's/^X//' >loki/distinfo << 'END-of-loki/distinfo'
XMD5 (loki-0.1.3.tar.bz2) = 7f30d06bcfe0feb18d797f166a02a966
XSHA256 (loki-0.1.3.tar.bz2) = 
1f7aed37eec4afb113f60507955e9621808d4e34b0cb9a3c89c793e57888b65e
XSIZE (loki-0.1.3.tar.bz2) = 704358
END-of-loki/distinfo
echo x - loki/pkg-plist
sed 's/^X//' >loki/pkg-plist << 'END-of-loki/pkg-plist'
Xinclude/loki/AbstractFactory.h
Xinclude/loki/AssocVector.h
Xinclude/loki/DataGenerators.h
Xinclude/loki/EmptyType.h
Xinclude/loki/Factory.h
Xinclude/loki/Function.h
Xinclude/loki/Functor.h
Xinclude/loki/HierarchyGenerators.h
Xinclude/loki/LockingPtr.h
Xinclude/loki/LokiTypeInfo.h
Xinclude/loki/MultiMethods.h
Xinclude/loki/NullType.h
Xinclude/loki/OrderedStatic.h
Xinclude/loki/SafeFormat.h
Xinclude/loki/ScopeGuard.h
Xinclude/loki/Sequence.h
Xinclude/loki/Singleton.h
Xinclude/loki/SmallObj.h
Xinclude/loki/SmartPtr.h
Xinclude/loki/Threads.h
Xinclude/loki/Tuple.h
Xinclude/loki/TypeManip.h
Xinclude/loki/TypeTraits.h
Xinclude/loki/Typelist.h
Xinclude/loki/TypelistMacros.h
Xinclude/loki/Visitor.h
Xinclude/loki/flex/allocatorstringstorage.h
Xinclude/loki/flex/cowstringopt.h
Xinclude/loki/flex/flex_string.h
Xinclude/loki/flex/flex_string_details.h
Xinclude/loki/flex/flex_string_shell.h
Xinclude/loki/flex/simplestringstorage.h
Xinclude/loki/flex/smallstringopt.h
Xinclude/loki/flex/vectorstringstorage.h
Xinclude/loki/static_check.h
Xinclude/loki/yasli/platform.h
Xinclude/loki/yasli/random.h
Xinclude/loki/yasli/yasli_fill_iterator.h
Xinclude/loki/yasli/yasli_memory.h
Xinclude/loki/yasli/yasli_protocols.h
Xinclude/loki/yasli/yasli_traits.h
Xinclude/loki/yasli/yasli_vector.h
Xlib/libloki.a
X@dirrm include/loki/flex
X@dirrm include/loki/yasli
X@dirrm include/loki
X%%PORTDOCS%%%%DOCSDIR%%/README
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-loki/pkg-plist
echo x - loki/Makefile
sed 's/^X//' >loki/Makefile << 'END-of-loki/Makefile'
X# New ports collection makefile for:   loki
X# Date created:        5 Feb 2006
X# Whom:                Sun Chang-Ming
X#
X# $FreeBSD$
X#
X
XPORTNAME=      loki
XPORTVERSION=   0.1.3
XCATEGORIES=    devel
XMASTER_SITES=   ${MASTER_SITE_SOURCEFORGE_EXTENDED}
XMASTER_SITE_SUBDIR=     loki-lib
X
XMAINTAINER=    snnn119@gmail.com
XCOMMENT=       A C++ library of common design patterns
X
XUSE_BZIP2=yes
XUSE_GMAKE=yes
X
XDOCS= README CHANGES doc/flex/flex_string.html \
Xdoc/yasli/Notes.txt \
Xdoc/yasli/yasli.html
X
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X       ${MKDIR} ${DOCSDIR}
X.for i in ${DOCS}
X       ${INSTALL_MAN} ${WRKSRC}/${i} ${DOCSDIR}
X.endfor
X.endif
X
X.include <bsd.port.mk>
END-of-loki/Makefile
echo x - loki/loki.shar
sed 's/^X//' >loki/loki.shar << 'END-of-loki/loki.shar'
END-of-loki/loki.shar
exit
Comment 4 Sergey Matveychuk freebsd_committer 2006-04-28 21:00:03 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!